class GetAllergiesRequestModel {
  String vidaAuthTokenID;
  int patientMRN;
  int appointmentNo;
  int episodeId;
  String doctorID;

  GetAllergiesRequestModel(
      {this.vidaAuthTokenID,
        this.patientMRN,
        this.appointmentNo,
        this.episodeId,
        this.doctorID});

  GetAllergiesRequestModel.fromJson(Map<String, dynamic> json) {
    vidaAuthTokenID = json['VidaAuthTokenID'];
    patientMRN = json['PatientMRN'];
    appointmentNo = json['AppointmentNo'];
    episodeId = json['EpisodeId'];
    doctorID = json['DoctorID'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['VidaAuthTokenID'] = this.vidaAuthTokenID;
    data['PatientMRN'] = this.patientMRN;
    data['AppointmentNo'] = this.appointmentNo;
    data['EpisodeId'] = this.episodeId;
    data['DoctorID'] = this.doctorID;
    return data;
  }
}
